%define upstream_name    XML-Twig
%define upstream_version 3.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A perl module for processing huge XML documents in tree mode
License:    Artistic
Group:      Development/Perl
Url:        http://www.xmltwig.com/xmltwig/
Source0:    http://www.xmltwig.com/xmltwig/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
# Prefer XML::XPathEngine over XML::XPath
BuildRequires: perl(XML::XPathEngine)
# Tests:
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser) >= 2.230.0
# Optional tests:
BuildRequires:  perl(IO::String)
BuildRequires:  perl(LWP)
BuildRequires: perl(Test::CPAN::Meta::JSON)
BuildArch:  noarch
Requires:       perl(XML::Parser) >= 2.23

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(XML::XPathEngine::NodeSet\\)
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(xml_split::state\\)
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(XML::Parser\\)$

%description
XML::Twig is a Perl module that subclasses XML-Parser to allow easy
processing of XML documents of all sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL -y INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.520.0-8.mga8
+ Revision: 1507053
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.520.0-7.mga7
+ Revision: 1287321
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 3.520.0-6.mga7
+ Revision: 1167466
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 3.520.0-5.mga7
+ Revision: 1160848
- fix missing requires on perl(XML::Parser), thus fixing tons of pkg rebuilds

* Sat Sep 23 2017 tv <tv> 3.520.0-3.mga7
+ Revision: 1158346
- add missing BRs for testsuite

* Sat Jul 22 2017 shlomif <shlomif> 3.520.0-2.mga7
+ Revision: 1128007
- install executables

* Thu Apr 27 2017 neoclust <neoclust> 3.520.0-1.mga6
+ Revision: 1097825
- New version 3.52 - Fixes CVE-2016-9180 (mga#19715)

* Sun Jun 19 2016 pterjan <pterjan> 3.490.0-3.mga6
+ Revision: 1036166
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.490.0-2.mga6
+ Revision: 967646
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 3.490.0-1.mga6
+ Revision: 849972
- update to 3.49

* Sun Dec 14 2014 sander85 <sander85> 3.480.0-4.mga5
+ Revision: 803128
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.480.0-3.mga5
+ Revision: 732675
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.480.0-2.mga5
+ Revision: 686971
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 3.480.0-1.mga5
+ Revision: 615085
- update to 3.48

* Thu Mar 13 2014 jquelin <jquelin> 3.460.0-1.mga5
+ Revision: 603077
- update to 3.46

* Mon Mar 03 2014 jquelin <jquelin> 3.450.0-1.mga5
+ Revision: 598752
- update to 3.45

* Sat Oct 19 2013 umeabot <umeabot> 3.440.0-2.mga4
+ Revision: 527440
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.440.0-1.mga4
+ Revision: 440097
- update to 3.44

* Sun Jan 13 2013 umeabot <umeabot> 3.420.0-2.mga3
+ Revision: 375191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 3.420.0-1.mga3
+ Revision: 317770
- update to 3.42

* Fri Aug 31 2012 kharec <kharec> 3.410.0-1.mga3
+ Revision: 286624
- update to 3.41

* Thu May 31 2012 shlomif <shlomif> 3.400.0-2.mga3
+ Revision: 252471
- Add seemingly missing BuildRequires
- New version: 3.40. Fixes some warnings on perl-5.16.x

* Mon Sep 26 2011 jquelin <jquelin> 3.390.0-1.mga2
+ Revision: 148262
- update to 3.39

* Mon Feb 28 2011 jquelin <jquelin> 3.380.0-1.mga1
+ Revision: 61552
- update to 3.38

* Wed Jan 19 2011 jquelin <jquelin> 3.370.0-1.mga1
+ Revision: 24267
- fix specs
- imported package perl-XML-Twig


* Tue Oct 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.370.0-1mdv2011.0
+ Revision: 585097
- new version

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 3.350.0-2mdv2011.0
+ Revision: 564758
- rebuild for perl 5.12.1

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 3.350.0-1mdv2011.0
+ Revision: 551211
- update to 3.35

* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 3.340.0-1mdv2010.1
+ Revision: 493490
- update to 3.34

* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 3.330.0-1mdv2010.1
+ Revision: 492161
- update to 3.33

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 3.320.0-1mdv2010.0
+ Revision: 401830
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.32-3mdv2009.1
+ Revision: 351657
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.32-2mdv2009.0
+ Revision: 224674
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.32-1mdv2008.1
+ Revision: 109549
- update to new version 3.32

* Fri Nov 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.31-1mdv2008.1
+ Revision: 107224
- update to new version 3.31
- update to new version 3.31

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.30-1mdv2008.1
+ Revision: 106666
- update to new version 3.30

* Mon Apr 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.29-2mdv2008.0
+ Revision: 19378
-New version


* Sat Dec 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-23 00:18:54 (101855)
- add some build deps for tests

* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org>
+ 2006-12-19 14:08:20 (99693)
Import perl-XML-Twig

* Wed Jul 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-1mdv2007.0
- New version 3.26

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2007.0
- New release 3.25

* Mon Nov 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.23-1mdk
- new release (fix some bugs) 
- make test in %%check
- fix directory ownership
- better summary
- %%mkrel

* Tue Oct 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.22-1mdk
- New release 3.22

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.21-1mdk
- New release 3.21

* Fri Apr 15 2005 Guillaume Rousse <guillomovitch@mandrake.org> 3.17-1mdk
- New release 3.17
- buildrequires perl-XML-Handler-YAWriter
- spec cleanup

* Wed Feb 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.16-1mdk
- 3.16
- new utilities xml_*

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.15-2mdk
- Remove arch-dependent directories

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.15-1mdk
- new version
- let spechelper do its job
- dir ownership

